import request from '@/config/axios'

// 模型管理 VO
export interface ModelVO {
  name: string // 名称
}

// 模型管理 API
export const ModelApi = {
  // 查询模型管理分页
  getModelPage: async (params: any) => {
    return await request.get({ url: `/annotation/model/page`, params })
  },

  // 查询模型管理详情
  getModel: async (id: number) => {
    return await request.get({ url: `/annotation/model/get?id=` + id })
  },

  // 新增模型管理
  createModel: async (data: ModelVO) => {
    return await request.post({ url: `/annotation/model/create`, data })
  },

  // 修改模型管理
  updateModel: async (data: ModelVO) => {
    return await request.put({ url: `/annotation/model/update`, data })
  },

  // 删除模型管理
  deleteModel: async (id: number) => {
    return await request.delete({ url: `/annotation/model/delete?id=` + id })
  },

  // 导出模型管理 Excel
  exportModel: async (params) => {
    return await request.download({ url: `/annotation/model/export-excel`, params })
  },
}
